=== Documentation/tutorial-script/Makefile ===
test:
	./script.sh

clean:
	rm -rf Playground
