=== debian/changelog ===
cogito (0.15-1) stable; urgency=low

  * New Version
  * Now depends on git-core-0.99.7
  * cg-pull is now called cg-fetch
  * cg-update will become cg-pull in a future release
  * the *-id scriptlets renamed to cg-*-id
  * cg-init respects the ignore rules
  * cg-add now support directories (-r)

 -- Martin Atukunda <matlads@dsmagic.com>  Mon, 19 Sep 2005 10:01:40 +0300

cogito (0.13-1) stable; urgency=low

  * New version.
  * Cleaned up Debian files.
  * Conflict with cgvg instead of not installing cg.
  * Pass prefix=/usr to "make install".

 -- Matthias Urlichs <smurf@debian.org>  Thu, 11 Aug 2005 12:17:32 +0200

cogito (0.12.1-1) stable; urgency=low

  * new version 0.12.1 (needed in order check out Linus' git trees).

 -- Holger Eitzenberger <holger@my-eitzenberger.de>  Mon, 01 Aug 2005 20:00:00 -0200
