=== debian/control ===
Source: cogito
Section: devel
Priority: optional
Maintainer: Holger Eitzenberger <holger@my-eitzenberger.de>
Build-Depends: debhelper (>= 4.0.0), dpatch, asciidoc, xmlto
Standards-Version: 3.6.1

Package: cogito
Architecture: all
Depends: git-core (>= 1.4.2), patch, diff, perl
Recommends: rsync, curl, rsh-client
Conflicts: cgvg
Description: A version control system layered on top of git
 A version control system layered on top of the git tree history
 storage system. It aims at seamless user interface and ease of use,
 providing generally smoother user experience than the "raw" Core GIT
 itself and indeed many other version control systems.
